# This is an example of using the GtkConsole class
# from within R directly.
console <-
function(prompt = "R> ", win = gtkWindow(show = FALSE))
{
  cons <- gtkConsoleNew()
  cons$SetEditable(TRUE)
  cons$EnableInput("R> ")

  cons$AddCallback("console-line-ready-with-value",
                    function(console, value) {
                      if(is.null(value) || value == "")
                        return()
                      
                      e <- try(parse(text = value))
                      if(!inherits(e, "try-error")) {
                        val <- eval(e)
                        con <- textConnection(".console", "w")
                        sink(con)
                        print(val)
                        sink()                        
                        close(con)
                        .console <- paste(.console, collapse="\n")
                        cons$Write(.console, nchar(.console))
                      }

                      cons$EnableInput("\nR> ")
                    })

  if(!is.null(win)) {
    sw <- gtkScrolledWindow()
    sw$AddWithViewport(cons)
    win$Add(sw)

    win$Show()
  }

  list(window = win, console = cons)
}
