gtkConsoleFlush <-
function(obj = NULL, .flush = TRUE)
{
	 gtkCheckInherits(obj, "GtkConsole")

	 w <- .GtkCall("S_gtk_console_flush", obj, PACKAGE='RGtkConsole', .flush = .flush)
	 invisible(return(w))

}
 

gtkConsoleRead <-
function(obj = NULL, buf, len = -1, addToHistory = TRUE, .flush = TRUE)
{
	 gtkCheckInherits(obj, "GtkConsole")
	 buf <- as.character(buf)
	 len <- as.integer(len)
	 addToHistory <- as.logical(addToHistory)

	 w <- .GtkCall("S_gtk_console_read", obj, buf, len, addToHistory, PACKAGE='RGtkConsole', .flush = .flush)
	 invisible(return(w))

}
 

gtkConsoleDisableInput <-
function(obj = NULL, .flush = TRUE)
{
	 gtkCheckInherits(obj, "GtkConsole")

	 w <- .GtkCall("S_gtk_console_disable_input", obj, PACKAGE='RGtkConsole', .flush = .flush)
	 invisible(return(w))

}
 

gtkConsoleClearHistory <-
function(obj = NULL, .flush = TRUE)
{
	 gtkCheckInherits(obj, "GtkConsole")

	 w <- .GtkCall("S_gtk_console_clear_history", obj, PACKAGE='RGtkConsole', .flush = .flush)
	 invisible(return(w))

}
 

gtkConsoleWrite <-
function(obj = NULL, buf, len = -1, .flush = TRUE)
{
	 gtkCheckInherits(obj, "GtkConsole")
	 buf <- as.character(buf)
	 len <- as.integer(len)

	 w <- .GtkCall("S_gtk_console_write", obj, buf, len, PACKAGE='RGtkConsole', .flush = .flush)
	 invisible(return(w))

}
 

gtkConsoleNew <-
function(hadj = NULL, vadj = NULL, show = TRUE, .flush = TRUE)
{
	 gtkCheckInherits(hadj, "GtkAdjustment", nullOk = TRUE)
	 gtkCheckInherits(vadj, "GtkAdjustment", nullOk = TRUE)

	 w <- .GtkCall("S_gtk_console_new", hadj, vadj, PACKAGE='RGtkConsole', .flush = .flush)
	 class(w) <- c("GtkConsole", "GtkText", "GtkEditable", "GtkWidget", "GtkObject")
	 if(show)
	   gtkWidgetShow(w)
	 return(w)

}
 

gtkConsoleRestoreHistory <-
function(obj = NULL, filename, maxitems, errmsg, .flush = TRUE)
{
	 gtkCheckInherits(obj, "GtkConsole")
	 filename <- as.character(filename)
	 maxitems <- as.integer(maxitems)
	 errmsg <- as.character(errmsg)

	 w <- .GtkCall("S_gtk_console_restore_history", obj, filename, maxitems, errmsg, PACKAGE='RGtkConsole', .flush = .flush)
	 return(w)

}
 

gtkConsoleSaveHistory <-
function(obj = NULL, filename, maxitems, errmsg, .flush = TRUE)
{
	 gtkCheckInherits(obj, "GtkConsole")
	 filename <- as.character(filename)
	 maxitems <- as.integer(maxitems)
	 errmsg <- as.character(errmsg)

	 w <- .GtkCall("S_gtk_console_save_history", obj, filename, maxitems, errmsg, PACKAGE='RGtkConsole', .flush = .flush)
	 return(w)

}
 

gtkConsoleEnableInput <-
function(obj = NULL, prompt, len = -1, .flush = TRUE)
{
	 gtkCheckInherits(obj, "GtkConsole")
	 prompt <- as.character(prompt)
	 len <- as.integer(len)

	 w <- .GtkCall("S_gtk_console_enable_input", obj, prompt, len, PACKAGE='RGtkConsole', .flush = .flush)
	 invisible(return(w))

}
 

