\name{console}
\alias{console}
\title{R command console}
\description{
  This creates a GUI-based command-line for R using the GtkConsole
  class, providing a window if desired.
  The console is connected to the R interpreter in that when
  users hit return, the input is evaluated and the result
  displayed.
}
\usage{
console(prompt = "R> ", win = gtkWindow(show = FALSE))
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{prompt}{the prompt to put on each input line.}
  \item{win}{by default, a Gtk top-level window is created to contain
    the console.
     }
}
\details{
  If \code{win} is non-NULL,
  the console is wrapped within a scrolled window
  and this is then added to the \code{win} widget.
}
\value{
  A list
  \item{window}{the value of the argument \code{win}}
  \item{console}{the GtkConsole object.}
}
\references{\url{http://www.omegahat.org/RGtkConsole}
  \url{http://www.omegahat.org/RGtk}}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}


\seealso{\code{\link{gtkConsoleNew}}}
\examples{
 console()

 konsole = console(win = NULL)
 
}
\keyword{IO}

