#include "gtkUtils.h"
#include "gtkconsoleFuncs.h"
#include "gtkconsoleEnum.h"


#include "RGtkConsole.h"

USER_OBJECT_
 S_gtk_console_flush ( USER_OBJECT_ s_obj )
{
   GtkConsole * obj = GTK_CONSOLE ((GtkObject*) getPtrValue( s_obj )) ;


   USER_OBJECT_ _result = NULL_USER_OBJECT;

	  gtk_console_flush ( obj );


  return(_result);
}
 

USER_OBJECT_
 S_gtk_console_read ( USER_OBJECT_ s_obj, USER_OBJECT_ s_buf, USER_OBJECT_ s_len, USER_OBJECT_ s_addToHistory )
{
   GtkConsole * obj = GTK_CONSOLE ((GtkObject*) getPtrValue( s_obj )) ;
   string buf = CHAR_DEREF( STRING_ELT( s_buf , 0)) ;
   unsigned int len = INTEGER_DATA( s_len )[0] ;
   Rboolean addToHistory = LOGICAL_DATA( s_addToHistory )[0] ;


   USER_OBJECT_ _result = NULL_USER_OBJECT;

	  gtk_console_read ( obj, buf, len, addToHistory );


  return(_result);
}
 

USER_OBJECT_
 S_gtk_console_disable_input ( USER_OBJECT_ s_obj )
{
   GtkConsole * obj = GTK_CONSOLE ((GtkObject*) getPtrValue( s_obj )) ;


   USER_OBJECT_ _result = NULL_USER_OBJECT;

	  gtk_console_disable_input ( obj );


  return(_result);
}
 

USER_OBJECT_
 S_gtk_console_clear_history ( USER_OBJECT_ s_obj )
{
   GtkConsole * obj = GTK_CONSOLE ((GtkObject*) getPtrValue( s_obj )) ;


   USER_OBJECT_ _result = NULL_USER_OBJECT;

	  gtk_console_clear_history ( obj );


  return(_result);
}
 

USER_OBJECT_
 S_gtk_console_write ( USER_OBJECT_ s_obj, USER_OBJECT_ s_buf, USER_OBJECT_ s_len )
{
   GtkConsole * obj = GTK_CONSOLE ((GtkObject*) getPtrValue( s_obj )) ;
   string buf = CHAR_DEREF( STRING_ELT( s_buf , 0)) ;
   unsigned int len = INTEGER_DATA( s_len )[0] ;


   USER_OBJECT_ _result = NULL_USER_OBJECT;

	  gtk_console_write ( obj, buf, len );


  return(_result);
}
 

USER_OBJECT_
 S_gtk_console_new ( USER_OBJECT_ s_hadj, USER_OBJECT_ s_vadj )
{
   GtkAdjustment * hadj = Rf_length( s_hadj ) == 0 ? NULL :  GTK_ADJUSTMENT ((GtkObject*) getPtrValue( s_hadj )) ;
   GtkAdjustment * vadj = Rf_length( s_vadj ) == 0 ? NULL :  GTK_ADJUSTMENT ((GtkObject*) getPtrValue( s_vadj )) ;


    GtkWidget * ans ;
   USER_OBJECT_ _result = NULL_USER_OBJECT;

	 ans =  gtk_console_new ( hadj, vadj );
   _result = R_gtkWidgetReference((GtkWidget*)ans, "GtkWidget");


  return(_result);
}
 

USER_OBJECT_
 S_gtk_console_restore_history ( USER_OBJECT_ s_obj, USER_OBJECT_ s_filename, USER_OBJECT_ s_maxitems, USER_OBJECT_ s_errmsg )
{
   GtkConsole * obj = GTK_CONSOLE ((GtkObject*) getPtrValue( s_obj )) ;
   string filename = CHAR_DEREF( STRING_ELT( s_filename , 0)) ;
   unsigned int maxitems = INTEGER_DATA( s_maxitems )[0] ;
   string errmsg = CHAR_DEREF( STRING_ELT( s_errmsg , 0)) ;


    Rboolean ans ;
   USER_OBJECT_ _result = NULL_USER_OBJECT;

	 ans =  gtk_console_restore_history ( obj, filename, maxitems, errmsg );
  _result = asRLogical ( ans );


  return(_result);
}
 

USER_OBJECT_
 S_gtk_console_save_history ( USER_OBJECT_ s_obj, USER_OBJECT_ s_filename, USER_OBJECT_ s_maxitems, USER_OBJECT_ s_errmsg )
{
   GtkConsole * obj = GTK_CONSOLE ((GtkObject*) getPtrValue( s_obj )) ;
   string filename = CHAR_DEREF( STRING_ELT( s_filename , 0)) ;
   unsigned int maxitems = INTEGER_DATA( s_maxitems )[0] ;
   string errmsg = CHAR_DEREF( STRING_ELT( s_errmsg , 0)) ;


    Rboolean ans ;
   USER_OBJECT_ _result = NULL_USER_OBJECT;

	 ans =  gtk_console_save_history ( obj, filename, maxitems, errmsg );
  _result = asRLogical ( ans );


  return(_result);
}
 

USER_OBJECT_
 S_gtk_console_enable_input ( USER_OBJECT_ s_obj, USER_OBJECT_ s_prompt, USER_OBJECT_ s_len )
{
   GtkConsole * obj = GTK_CONSOLE ((GtkObject*) getPtrValue( s_obj )) ;
   string prompt = CHAR_DEREF( STRING_ELT( s_prompt , 0)) ;
   unsigned int len = INTEGER_DATA( s_len )[0] ;


   USER_OBJECT_ _result = NULL_USER_OBJECT;

	  gtk_console_enable_input ( obj, prompt, len );


  return(_result);
}
 

